[neon/mobile/qmlkonsole/Neon/unstable] debian: add necessary files for x-terminal-emulator alternatives stuff
Carlos De Maine
null at kde.org
Wed Jan 25 00:02:21 GMT 2023
Git commit add1ef90fb4bdb7173469191da36d23da8a2a1e8 by Carlos De Maine.
Committed on 25/01/2023 at 00:02.
Pushed by carlosdem into branch 'Neon/unstable'.
add necessary files for x-terminal-emulator alternatives stuff
A +22 -0 debian/qmlkonsole.postinst
A +24 -0 debian/qmlkonsole.prerm
https://invent.kde.org/neon/mobile/qmlkonsole/commit/add1ef90fb4bdb7173469191da36d23da8a2a1e8
diff --git a/debian/qmlkonsole.postinst b/debian/qmlkonsole.postinst
new file mode 100644
index 0000000..fe17da6
--- /dev/null
+++ b/debian/qmlkonsole.postinst
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ update-alternatives --install /usr/bin/x-terminal-emulator \
+ x-terminal-emulator /usr/bin/qmlkonsole 40
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/qmlkonsole.prerm b/debian/qmlkonsole.prerm
new file mode 100644
index 0000000..5a1670d
--- /dev/null
+++ b/debian/qmlkonsole.prerm
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+ remove)
+ update-alternatives --remove x-terminal-emulator /usr/bin/qmlkonsole
+ ;;
+
+ upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
More information about the Neon-commits
mailing list